Summary:        The proprietary plugins for chromium
Summary(ja):    Chromium 用プロプライエタリプラグイン
Name:           chromium-extra-plugins
Version:        42.0.2311.135
Release:        1%{?_dist_release}
License:        BSD-3-Clause, LGPL-2.1+
Group:          Applications/Internet

Source0:        https://dl.google.com/linux/direct/google-chrome-stable_current_i386.rpm
Source1:        https://dl.google.com/linux/direct/google-chrome-stable_current_x86_64.rpm

Requires:       chromium >= %{version}

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description
This package includes the proprietary plugins for chromium.

%description -l ja
このパッケージには Chromium 用のプロプライエタリなプラグインが含まれております。

%prep

%build
%ifarch x86_64
rpm2cpio %{SOURCE1} | cpio -idmv
%else
rpm2cpio %{SOURCE0} | cpio -idmv
%endif


%install
mkdir -p %{buildroot}%{_libdir}/chromium/PepperFlash/
install -m644 opt/google/chrome/PepperFlash/* %{buildroot}%{_libdir}/chromium/PepperFlash/ 
install -m755 opt/google/chrome/libffmpegsumo.so %{buildroot}%{_libdir}/chromium/

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/chromium/PepperFlash/
%{_libdir}/chromium/libffmpegsumo.so

%changelog
* Sat May 09 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 42.0.2311.135-1
- initial release for Vine Linux

